summaryrefslogtreecommitdiffstats
path: root/network/librewolf
diff options
context:
space:
mode:
Diffstat (limited to 'network/librewolf')
-rw-r--r--network/librewolf/README12
-rw-r--r--network/librewolf/doinst.sh3
-rw-r--r--network/librewolf/librewolf.SlackBuild78
-rw-r--r--network/librewolf/librewolf.info10
-rw-r--r--network/librewolf/slack-desc19
5 files changed, 122 insertions, 0 deletions
diff --git a/network/librewolf/README b/network/librewolf/README
new file mode 100644
index 0000000000..76c78d15f1
--- /dev/null
+++ b/network/librewolf/README
@@ -0,0 +1,12 @@
+This project is a custom and independent version of Firefox, with the
+primary goals of privacy, security and user freedom.
+
+LibreWolf is designed to increase protection against tracking and
+fingerprinting techniques, while also including a few security
+improvements. This is achieved through our privacy and security oriented
+settings and patches. LibreWolf also aims to remove all the telemetry,
+data collection and annoyances, as well as disabling anti-freedom
+features like DRM.
+------------------------------------------------------------------------
+This SlackBuild downloads and installs the official AppImage under
+'/opt'.
diff --git a/network/librewolf/doinst.sh b/network/librewolf/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/librewolf/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/librewolf/librewolf.SlackBuild b/network/librewolf/librewolf.SlackBuild
new file mode 100644
index 0000000000..8f1329f146
--- /dev/null
+++ b/network/librewolf/librewolf.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/bash
+
+# Slackware build script for librewolf
+
+# Copyright 2022-2023 Ivan Kovmir <i@kovmir.eu>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd "$(dirname "$0")" ; CWD=$(pwd)
+
+PRGNAM=librewolf
+VERSION=${VERSION:-126.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+ARCH="${ARCH:-$(uname -m)}"
+if [ "$ARCH" != "x86_64" ]; then
+ echo "$ARCH is not supported for $PRGNAM-$VERSION."
+ exit 1;
+fi
+
+if [ -n "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP="${TMP:-/tmp/SBo}"
+PKG="$TMP/package-$PRGNAM"
+OUTPUT="${OUTPUT:-/tmp}"
+
+APPIMGNAM="LibreWolf.$ARCH.AppImage"
+NAMVER="$PRGNAM-$VERSION"
+
+set -e
+
+rm -rf "$PKG"
+mkdir -p "$TMP" "$PKG" "$OUTPUT"
+mkdir -p "$PKG/install"
+mkdir -p "$PKG/usr/doc/$NAMVER"
+mkdir -p "$PKG/usr/share/applications"
+mkdir -p "$PKG/usr/bin"
+mkdir -p "$PKG/opt"
+chmod 0755 "$CWD/$APPIMGNAM"
+cd "$PKG/opt"
+"$CWD/$APPIMGNAM" --appimage-extract
+mv squashfs-root "$NAMVER"
+
+# Remove empty file.
+rm -f "$PKG/opt/$NAMVER/removed-files"
+
+# Executable and *.desktop file.
+ln -s "../../opt/$NAMVER/AppRun" "$PKG/usr/bin/$PRGNAM"
+ln -s "../../../opt/$NAMVER/io.gitlab.LibreWolf.desktop" "$PKG/usr/share/applications/$PRGNAM.desktop"
+
+cp "$CWD/$PRGNAM.SlackBuild" "$PKG/usr/doc/$NAMVER/$PRGNAM.SlackBuild"
+cp "$CWD/README" "$PKG/usr/doc/$NAMVER/README"
+cp "$CWD/slack-desc" "$PKG/install/slack-desc"
+cp "$CWD/doinst.sh" "$PKG/install/doinst.sh"
+
+cd "$PKG"
+/sbin/makepkg -l y -c n "$OUTPUT/$NAMVER-$ARCH-$BUILD$TAG.$PKGTYPE"
diff --git a/network/librewolf/librewolf.info b/network/librewolf/librewolf.info
new file mode 100644
index 0000000000..6389667740
--- /dev/null
+++ b/network/librewolf/librewolf.info
@@ -0,0 +1,10 @@
+PRGNAM="librewolf"
+VERSION="126.0"
+HOMEPAGE="https://librewolf.net/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://gitlab.com/api/v4/projects/24386000/packages/generic/librewolf/126.0-1/LibreWolf.x86_64.AppImage"
+MD5SUM_x86_64="0b3148f3a59ad00fb216d2f9bce82870"
+REQUIRES=""
+MAINTAINER="Ivan Kovmir"
+EMAIL="i@kovmir.eu"
diff --git a/network/librewolf/slack-desc b/network/librewolf/slack-desc
new file mode 100644
index 0000000000..f6c5fd0cae
--- /dev/null
+++ b/network/librewolf/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+librewolf: librewolf (Private Web Browser)
+librewolf:
+librewolf: This project is a custom and independent version of Firefox, with the
+librewolf: LibreWolf: primary goals of privacy, security and user freedom.
+librewolf:
+librewolf:
+librewolf:
+librewolf:
+librewolf:
+librewolf: https://librewolf.net/
+librewolf: